Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.evaluation.output.prediction
Class PlainText

    java.lang.Object
      weka.classifiers.evaluation.output.prediction.AbstractOutput
          weka.classifiers.evaluation.output.prediction.PlainText

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class PlainText

extends AbstractOutput

Outputs the predictions in plain text.

Valid options are:

     -p <range>
      The range of attributes to print in addition to the classification.
      (default: none)

     -distribution
      Whether to turn on the output of the class distribution.
      Only for nominal class attributes.
      (default: off)

     -decimals <num>
      The number of digits after the decimal point.
      (default: 3)

     -file <path>
      The file to store the output in, instead of outputting it on stdout.
      Gets ignored if the supplied path is a directory.
      (default: .)

     -suppress
      In case the data gets stored in a file, then this flag can be used
      to suppress the regular output.
      (default: not suppressed)

Version:
  $Revision: 5987 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  Serialized Form

Constructor Summary
`PlainText()`

Method Summary
`java.lang.String` | `getDisplay()` Returns a short display text, to be used in comboboxes.
`java.lang.String` | `globalInfo()` Returns a string describing the output generator.

Methods inherited from class weka.classifiers.evaluation.output.prediction.AbstractOutput
`attributesTipText, fromCommandline, generatesOutput, getAttributes, getBuffer, getDefaultNumDecimals, getHeader, getNumDecimals, getOptions, getOutputDistribution, getOutputFile, getSuppressOutput, listOptions, numDecimalsTipText, outputDistributionTipText, outputFileTipText, print, print, printClassification, printClassifications, printClassifications, printFooter, printHeader, setAttributes, setBuffer, setHeader, setNumDecimals, setOptions, setOutputDistribution, setOutputFile, setSuppressOutput, suppressOutputTipText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainText

    public PlainText()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing the output generator.

  Specified by:
    `globalInfo` in class `AbstractOutput`
  Returns:
    a description suitable for displaying in the GUI

### getDisplay

    public java.lang.String getDisplay()

  Returns a short display text, to be used in comboboxes.

  Specified by:
    `getDisplay` in class `AbstractOutput`
  Returns:
    a short display text

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD